< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package ct
  Definition Classes
    hmrc
-  package ct600
  Definition Classes
    ct
-  package v2
  Definition Classes
    ct600
-  package calculations
  Definition Classes
    v2
-  package retriever
  Definition Classes
    v2
-  package validation
  Definition Classes
    v2
- B1
- B10
- B1000
- B1001
- B105
- B106
- B107
- B108
- B11
- B118
- B12
- B121
- B122
- B13
- B139
- B14
- B140
- B149
- B15
- B150
- B151
- B152
- B153
- B155
- B156
- B157
- B1571
- B1572
- B1573
- B1574
- B1575
- B158
- B16
- B17
- B172
- B174
- B18
- B19
- B2
- B20
- B21
- B3
- B30
- B31
- B35
- B37
- B38
- B39
- B4
- B42
- B42a
- B42b
- B43
- B44
- B45
- B46
- B46R
- B5
- B53
- B54
- B55
- B56
- B56R
- B6
- B63
- B64
- B65
- B70
- B78
- B79
- B8
- B80
- B84
- B85
- B86
- B9
- B91
- B92
- B93
- RDQ1
- RDQ2
- RSQ1
- RSQ2
- RSQ3
- RSQ4
- RSQ7
- RSQ8

c

uk.gov.hmrc.ct.ct600.v2

# B153 

###

#### case class B153(value: Option[String]) extends CtBoxIdentifier with CtOptionalString with Input with Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, Input, CtOptionalString, OptionalCtValue[String], CtValue[Option[String]], CtBoxIdentifier, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. B153
2. Serializable
3. Serializable
4. Product
5. Equals
6. Input
7. CtOptionalString
8. OptionalCtValue
9. CtValue
10. CtBoxIdentifier
11. AnyRef
12. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new B153(value: Option[String])

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def asBoxString: Option[String]
   Definition Classes
     CtValue
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )
9.  final def getClass(): Class[_]
   Definition Classes
     AnyRef → Any
   Annotations
     @native()
10.  def hasValue: Boolean
    Definition Classes
      OptionalCtValue
11.  def id: String
    Definition Classes
      CtBoxIdentifier
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  val name: String
    Definition Classes
      CtBoxIdentifier
14.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  def noValue: Boolean
    Definition Classes
      OptionalCtValue
16.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
18.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
19.  val value: Option[String]
    Definition Classes
      B153 → CtValue
20.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
21.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
22.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from Input

### Inherited from CtOptionalString

### Inherited from OptionalCtValue[String]

### Inherited from CtValue[Option[String]]

### Inherited from CtBoxIdentifier

### Inherited from AnyRef

### Inherited from Any

### Ungrouped